## org.biojava.bio.program.homologene
Class SimpleOrthologueSet

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.program.homologene.AbstractOrthologueSet
              org.biojava.bio.program.homologene.SimpleOrthologueSet

All Implemented Interfaces:
  OrthologueSet, Changeable

    public class SimpleOrthologueSet

extends AbstractOrthologueSet

Nested Class Summary
`class` `SimpleOrthologueSet.Iterator`

Field Summary

Fields inherited from interface org.biojava.bio.program.homologene.OrthologueSet
`MODIFY`

Constructor Summary
`SimpleOrthologueSet()`

Method Summary
`void` `addOrthologue(Orthologue ortho)` Add an orthologue to the set.
`Orthologue` `getOrthologue(String homologeneID)`
`OrthologueSet.Iterator` `iterator()` Return an iterator to the contents of the set.
`void` `removeOrthologue(Orthologue ortho)` Remove an orthologue from the set.

Methods inherited from class org.biojava.bio.program.homologene.AbstractOrthologueSet
`filter`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleOrthologueSet

    public SimpleOrthologueSet()

Method Detail

### addOrthologue

    public void addOrthologue(Orthologue ortho)
                       throws ChangeVetoException

  Description copied from interface: `OrthologueSet`
  Add an orthologue to the set.

  Throws:
    `ChangeVetoException`

### removeOrthologue

    public void removeOrthologue(Orthologue ortho)
                          throws ChangeVetoException

  Description copied from interface: `OrthologueSet`
  Remove an orthologue from the set.

  Throws:
    `ChangeVetoException`

### getOrthologue

    public Orthologue getOrthologue(String homologeneID)

### iterator

    public OrthologueSet.Iterator iterator()

  Description copied from interface: `OrthologueSet`
  Return an iterator to the contents of the set.